<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <meta name="format-detection" content="telephone=no" />
        <meta name="msapplication-tap-highlight" content="no" />
        <!-- WARNING: for iOS 7, remove the width=device-width and height=device-height attributes. See https://issues.apache.org/jira/browse/CB-4323 -->
        <meta name="viewport" content="user-scalable=no, initial-scale=1, maximum-scale=1, minimum-scale=1, width=device-width, height=device-height" />
        <link href="theme/css/AdminLTE.css" rel="stylesheet" type="text/css" />
        <link rel="stylesheet" type="text/css" href="../aLTE/bootstrap/css/bootstrap.min.css" />
        <link rel="stylesheet" type="text/css" href="css/style.css" />
        <link href="theme/fonts/css/font-awesome.min.css" rel="stylesheet">
        <link rel="stylesheet" type="text/css" href="theme/css/custom.css" />
        <script type="text/javascript" src="../js/jquery-1.11.2.min.js"></script>
        <script type="text/javascript" src="../aLTE/bootstrap/js/bootstrap.min.js"></script>
        <script type="text/javascript" src="../js/url.js"></script>
        <script type="text/javascript" src="theme/js/peopleBusiness.js"></script>

        <title>Events</title>
    </head>
    <body class="nav-md">
        <div class="container body">
            <div class="main_container">
                <div class="col-md-12" style="margin:50px 0 0 0; width:100%">
                    <section class="">
                        <div class="row">
                            <ul class="timeline" id="events"></ul>
                        </div>
                    </section>
                </div>
            </div>
        </div>
        <div style="height:20px"></div>
        <!-- Loader -->
        <div class="fader">
            <div class="loader"></div>
        </div>

        <script>

            var events;
            function showEvents(events) {
                $("#events").empty();
                for (var e = 0; e < events.length; e++) {
                    //events[e].datetime = 1500719100000;
                    var dateF = $("<li class='time-label'><span class='bg-red'>" + events[e].event_date.split(" ")[0] + "</span></li>");
                    $("#events").append(dateF);
                    var detailsF =
                            "<li><i class='fa themeKonnect'>"
                            + events[e].type
                            + "</i><div class='timeline-item'><span class='time'>"
                            + "</span><h3 class='timeline-header'><a href='#''>"
                            + events[e].title + "</a> </h3><div class='timeline-body'>"
                            + events[e].details;

                    var pics = events[e].photos;
                    if (pics) {
                        pics = pics.split(",");
                        var placeholder = "<p style='width:90%;display:inline-block'>";
                        for (var i = 0; i < pics.length; i++) {
                            placeholder += "<a style='width:30%;float:left' href='" + pics[i] + "'><img width='100%' src='" + pics[i] + "'></a>";
                        }
                        placeholder += "</p>";
                        detailsF += placeholder;
                    }
                    detailsF = detailsF + "</div><div class='timeline-footer '><a class='btn btn-primary btn-xs'>"
                            + events[e].location + "</a style='font-size: x-small;'> <a class='btn btn-danger btn-xs'>"
                            +"From "+ events[e].startTime+" To "+events[e].endTime + "</a></div></div></li>";
                    $("#events").append($(detailsF));
                }
            }
            function timeFormatFormMillSec(milliseconds){
               // var monthNames=['Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec'];
                  var dateObj=new Date(parseInt(milliseconds));
                     var arr= dateObj.toDateString().split(" ");
                  //var formattedTime= dateObj.getDate()+' '+monthNames[(dateObj.getMonth()+1)];

                  /*+'-'+dateObj.getFullYear()+" "+dateObj.getHours()+":"+dateObj.getMinutes();*/
                  return arr[2]+' '+arr[1];
            }
            function getEvents() {
                showLoader();
                $.ajax({
                    type: "GET",
                    dataType: 'json',
                    url: getUrl(api.GET_EVENT_URL)
                }).done(function (response) {
                    hideLoader();
                    showEvents(response);
                }).fail(function (jqXHR, textStatus, errorThrown) {
                    hideLoader();
                    alert("Server failed");
                }).always(function (jqXHROrData, textStatus, jqXHROrErrorThrown) {});
            }
            $(function () {
                $("#sidemenu_section").load("side_menu.html");
                getEvents();

                //readEvents();

            });
            function showLoader() {
                $(".fader").show();
                $(".loader").show();
            }
            function hideLoader() {
                $(".fader").hide();
                $(".loader").hide();
            }
        </script>
    </body>
</html>



